Index: /extensions/Ldap_Login/language/pt_PT/description.txt
===================================================================
--- /extensions/Ldap_Login/language/pt_PT/description.txt	(revision 28576)
+++ /extensions/Ldap_Login/language/pt_PT/description.txt	(revision 28577)
@@ -1,1 +1,1 @@
-permitir, aos utilizadores piwigo, entrar com as credenciais ldap (Entrar, mail, ou outro atributo especificado pela admin piwigo + senha ldap). 
+Permitir, aos utilizadores piwigo, entrar com as credenciais ldap (Entrar, mail, ou outro atributo especificado pela admin piwigo + senha ldap). 
Index: /extensions/Ldap_Login/language/pt_PT/plugin.lang.php
===================================================================
--- /extensions/Ldap_Login/language/pt_PT/plugin.lang.php	(revision 28576)
+++ /extensions/Ldap_Login/language/pt_PT/plugin.lang.php	(revision 28577)
@@ -38,7 +38,5 @@
 $lang['If empty, localhost and standard protocol ports will be used in configuration.'] = 'Se vazio, localhost e portas standard serão usadas na configuração';
 $lang['If empty, standard protocol ports will be used by the software.'] = 'Se vazio, localhost e portas standard serão usadas pelo software';
-$lang['Ldap attributes'] = 'Atributos LDAP';
 $lang['Ldap connection credentials'] = 'Credenciais de ligação LDAP';
-$lang['Ldap filter :'] = 'Filtro LDAP';
 $lang['Ldap port'] = 'Porta LDAP';
 $lang['Ldap server host'] = 'Servidor de alojamento LDAP';
@@ -49,3 +47,10 @@
 $lang['Let the fields blank if the ldap accept anonymous connections.'] = 'Deixar os campos vazios se LDAP aceitar ligações anónimas';
 $lang['New users when ldap auth is successfull'] = 'Novos utilizadores quando LDPA é bem sucedido';
-?>
+$lang['If you create a <a href="admin.php?page=group_list">piwigo group</a> with the same name as an ldap one, all members of the ldap group will automatically join the piwigo group at their next authentication. This allows you to create <a href="admin.php?page=help&section=groups">specific right access management</a> (restrict access to a particaular album...).'] = 'Se criar um <a href="admin.php?page=group_list"> Grupo Piwigo</ a> com o mesmo nome como um ldap um, todos os membros do grupo ldap se juntarão automaticamente ao grupo Piwigo na sua próxima autenticação. Isto permite-lhe criar <a href="admin.php?page=help&section=groups"> Direito específico de gerenciamento </ a> (restringir o acesso a um album específico...). No entanto, para excluir estes utilizadores, deverá primeiramente tirá-los dos grupos LDAP, em seguida, os grupos Piwigo podem ser atualizados.';
+$lang['Search Ldap groups ?'] = 'Utilizadores da pesquisa LDAP? Se tem seus grupos widespreaded em várias filiais ou OU, vai precisar disto. Se evitar isto, economiza um pedido ldap. Pode não precisar se sua árvore ldap for simples (por exemplo: cn=nome do grupo, ou=grupos, dc=exemplo, dc=com).';
+$lang['Search Ldap users ?'] = 'Pesquisar utilizadores LDAP? Se tiver Utilizadores widespreaded em várias filiais ou OU, vai precisar disto. Se evitar isto, economiza um pedido ldap. Pode não precisar disto se a árvore ldap for simples (por exemplo: uid=utilizador, ou=pessoas, dc= exemplo, dc=com).';
+$lang['Groups branch'] = 'Filial onde os grupos LDAP podem ser encontrados ( por exemplo: ou=grupos)';
+$lang['Ldap users'] = 'Utilizadores LDAP';
+$lang['Ldap groups'] = 'Grupos LDAP';
+$lang['Users branch'] = 'Sucursal onde os utilizadores LDAP devem encontrar-se (por exemplo ou=Utilizadores)';
+$lang['To get them out of these roles, they must be sorted of the ldap group and then role updated in the <a href="admin.php?page=user_list">piwigo admin</a>. If a group is mandatory as described in the <a href="admin.php?page=plugin-Ldap_Login-newusers">new piwigo users tab</a>, then they must also belong to the users group.'] = 'Para retirá-los destas listas, eles devem ser ordenados no grupo ldap e então a lista atualizada em  <a href="admin.php?page=user_list"> Admin Piwigo</a>. Se um grupo é obrigatório, conforme descrito em <a href="admin.php?page=plugin-Ldap_Login-newusers"> Aba de novos Utilizadores Piwigo </a>, então eles devem pertencer ao grupo de utilizadores.';