Index: /trunk/language/gu_IN/common.lang.php
===================================================================
--- /trunk/language/gu_IN/common.lang.php	(revision 28590)
+++ /trunk/language/gu_IN/common.lang.php	(revision 28590)
@@ -0,0 +1,56 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+/*
+Language Name: ગુજરાતી[IN]
+Version: 2.6.0
+Language URI: http://piwigo.org/ext/extension_view.php?eid=767
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
+$lang_info['language_name'] = 'ગુજરાતી';
+$lang_info['country'] = 'હિન્દુસ્તાન';
+$lang_info['direction'] = 'ltr';
+$lang_info['code'] = 'gu';
+$lang_info['zero_plural'] = true;
+
+$lang['Date'] = 'તારીખ';
+$lang['day'][0] = 'રવિવાર';
+$lang['day'][1] = 'સોમવાર';
+$lang['day'][2] = 'મંગળવાર';
+$lang['day'][3] = 'બુધવાર';
+$lang['day'][4] = 'ગુરુવાર';
+$lang['day'][5] = 'શુક્રવાર';
+$lang['day'][6] = 'શનિવાર';
+$lang['month'][10] = 'ઑક્ટ્બર';
+$lang['month'][11] = 'નવેમ્બર';
+$lang['month'][12] = 'ડિસેમ્બર';
+$lang['month'][1] = 'જાન્યુઆરી';
+$lang['month'][2] = 'ફેબ્રુઆરી';
+$lang['month'][3] = 'માર્ચ';
+$lang['month'][4] = 'એપ્રિલ';
+$lang['month'][5] = 'મે';
+$lang['month'][6] = 'જૂન';
+$lang['month'][7] = 'જુલાઈ';
+$lang['month'][8] = 'ઑગસ્ટ';
+$lang['month'][9] = 'સપ્ટેમ્બર';
+?>
Index: /trunk/language/gu_IN/iso.txt
===================================================================
--- /trunk/language/gu_IN/iso.txt	(revision 28590)
+++ /trunk/language/gu_IN/iso.txt	(revision 28590)
@@ -0,0 +1,1 @@
+ગુજરાતી[IN]
Index: /trunk/language/sr_RS/admin.lang.php
===================================================================
--- /trunk/language/sr_RS/admin.lang.php	(revision 28589)
+++ /trunk/language/sr_RS/admin.lang.php	(revision 28590)
@@ -1,3 +1,4 @@
 <?php
+// +-----------------------------------------------------------------------+
 // | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
Index: /trunk/plugins/language_switch/language_switch.css
===================================================================
--- /trunk/plugins/language_switch/language_switch.css	(revision 28589)
+++ /trunk/plugins/language_switch/language_switch.css	(revision 28590)
@@ -130,4 +130,5 @@
 .langflag-bn_IN { background-position:-192px -96px; }
 .langflag-kn_IN { background-position:-192px -96px; }
+.langflag-gu_IN { background-position:-192px -96px; }
 .langflag-iq { background-position:-216px -96px; }
 .langflag-fa_IR { background-position:-240px -96px; }