Index: /extensions/gvideo/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/gvideo/language/nl_NL/plugin.lang.php	(revision 28610)
+++ /extensions/gvideo/language/nl_NL/plugin.lang.php	(revision 28611)
@@ -27,9 +27,9 @@
 $lang['Author portrait'] = 'Auteur foto';
 $lang['Autoplay'] = 'Autoplay';
-$lang['Change'] = 'Verander';
+$lang['Change'] = 'Wijzig';
 $lang['Color'] = 'Kleur';
 $lang['Common configuration'] = 'Algemene configuratie';
 $lang['Logo'] = 'Logo';
-$lang['Please fill the video URL'] = 'Vul aub de url van de video in';
+$lang['Please fill the video URL'] = 'Vul alstublieft de url van de video in';
 $lang['This element is a video added with "Embedded Video"'] = 'Dit element is een video toegevoegd met \'Embedded video\'';
 $lang['Unable to contact host server'] = 'Verbinding met host server niet mogelijk';
@@ -38,6 +38,6 @@
 $lang['Video size'] = 'Video formaat';
 $lang['Video successfully added. <a href="%s">View</a>'] = 'Video succesvol toegevoegd. <a href="%s">Bekijk</a>';
-$lang['Changing the url will reset video description, name and thumbnail'] = 'Het veranderen van de url resulteert in een reset van de video-beschrijving, naam en miniatuur';
-$lang['The thumbnail was updated'] = 'De miniatuur werd bijgewerkt op';
+$lang['Changing the url will reset video description, name and thumbnail'] = 'Het wijzigen van de url resulteert in een reset van de video-beschrijving, naam en miniatuur';
+$lang['The thumbnail was updated'] = 'De miniatuur werd bijgewerkt';
 $lang['Upload a new thumbnail'] = 'Upload een nieuwe miniatuur';
 $lang['Video successfully updated'] = 'Video succesvol bijgewerkt';
@@ -45,13 +45,21 @@
 $lang['Get video description'] = 'Haal videobeschrijving op';
 $lang['Get video tags'] = 'Haal videolabels op';
-$lang['In safe-mode, the plugin does\'t try to contact the video host, usefull on some websites where remote connections are blocked.'] = 'In veilige mode maakt de plug-in geen contact met de video host, dit is nuttig voor sommige websites waar verbindingen op afstand zijn geblokkeerd.';
+$lang['In safe-mode, the plugin does\'t try to contact the video host, usefull on some websites where remote connections are blocked.'] = 'In veilige mode maakt de plug-in geen contact met de video host. Dit is nuttig voor sommige websites waar verbindingen op afstand zijn geblokkeerd.';
 $lang['Safe-mode'] = 'Veilige mode';
 $lang['Try in safe-mode'] = 'Probeer in veilige mode';
 $lang['Video properties'] = 'Video eigenschappen';
 $lang['Vimeo player'] = 'Vimeo speler';
-$lang['Show privacy details'] = 'Toon vertrouwelijkheid details';
-$lang['Videos can be unlisted but not private.'] = 'Video\'s kunnen niet vermeld zijn maar niet vertrouwelijk.';
+$lang['Show privacy details'] = 'Toon privacy gegevens';
+$lang['Videos can be unlisted but not private.'] = 'Video\'s kunnen niet vermeld zijn, maar niet vertrouwelijk.';
 $lang['Videos can be unlisted and private if the gallery website is within the authorized domains (PRO).'] = 'Video\'s kunnen niet vermeld en privé zijn als de gallery website binnen de toegestane domeinen is (PRO).';
-$lang['No privacy option.'] = 'Geen privacy optie.';
+$lang['No privacy option.'] = 'Geen privacy-optie.';
 $lang['Videos can be private if you use the private permalink.'] = 'Video\'s zijn privé als je de private permalink gebruikt.';
-?>
+$lang['optional'] = 'optioneel';
+$lang['Width and height must be integers'] = 'Breedte en hoogte moeten hele getallen zijn';
+$lang['Videos'] = 'Video\'s';
+$lang['Embed code'] = 'Embed code';
+$lang['Do not use this form for videos provided by Youtube, Dailymotion, Vimeo, Wat or Wideo.'] = 'Gebruik dit formulier niet voor video\'s afkomstig van, Youtube, Dailymotion, Vimeo, Wat of van Wideo.';
+$lang['Add video from hosting platform'] = 'Voeg de video van de hosting platform toe';
+$lang['Add video from embed code'] = 'Voeg de video van de embed code toe';
+$lang['Please fill the embed code'] = 'Vul alstublieft de embed code in';
+$lang['This video was already registered'] = 'Deze video is al geregistreerd';