Index: /branches/2.6/language/br_FR/admin.lang.php
===================================================================
--- /branches/2.6/language/br_FR/admin.lang.php	(revision 28619)
+++ /branches/2.6/language/br_FR/admin.lang.php	(revision 28620)
@@ -208,2 +208,94 @@
 $lang['Add another set of photos'] = 'Lakaat ur stroll luc\'hskeudennoù all';
 $lang['Add detailed content'] = 'Lakaat endalc\'h dre ar munud';
+$lang['Allow rating'] = 'Aotreiñ da reiñ notennoù';
+$lang['All %d photos are selected'] = 'An holl %d luc\'hskeudenn a zo diuzet';
+$lang['All %d users are selected'] = 'An holl %d implijer a zo diuzet';
+$lang['All languages are up to date.'] = 'An holl yezhoù a zo hizivaet';
+$lang['All plugins are up to date.'] = 'An holl lugantoù a zo hizivaet';
+$lang['All themes are up to date.'] = 'An holl temoù a zo hizivaet';
+$lang['Album manual order was saved'] = 'Urzh dre zorn ar rummad a zo bet enrollet';
+$lang['Album name'] = 'Anv ar rummad';
+$lang['Album photos associated to the following albums: %s'] = 'Luc\'hskeudennoù liammet gant ar rummadoù-mañ: %s';
+$lang['Albums authorized thanks to group associations'] = 'Rummadoù aotreet dre ar strolladoù';
+$lang['Albums automatically sorted'] = 'Rummadoù urzhiet emgefreek';
+$lang['Album "%s" has been added'] = 'Rummad "%s" a zo bet lakaet ouzhpenn';
+$lang['Album "%s" now contains %d photos'] = '%d luc\'hskeudenn a zo er rummad "%s" bremañ';
+$lang['Album list management'] = 'Merañ listenn ar rummadoù';
+$lang['Allowed file types: %s.'] = 'Seurtoù restroù aotreet: %s';
+$lang['All optimizations have been successfully completed.'] = 'An holl gwellekadurioù a zo bet graet.';
+$lang['Allow user customization'] = 'Aotren personeladur an implijerien';
+$lang['Allow user registration'] = 'Aotren an implijerien d\'en em enrollañ';
+$lang['Allow users to delete their own comments'] = 'Aotren an implijerien da zilemel o evezhiadennoù';
+$lang['Allow users to edit their own comments'] = 'Aotren an implijerien da cheñch o evezhiadennoù';
+$lang['Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'] = 'Adobe Photoshop Lightroom a zo ur meziant graet evit merañ ur maread luc\'hskeudennoù niverel hag evit ober labour goudeproduiñ.';
+$lang['digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.'] = 'digiKam a zo ur meziant frank araokaet evit merañ luc\'hskeudennoù niverel gant Linux, Windows, pe MacOS X.';
+$lang['File upload stopped by extension'] = 'Paouezet eo bet ezkargañ ar restr gant astenn';
+$lang['Some upgrades are available for extensions.'] = 'Hizivadurioù ez eus evit astennoù.';
+$lang['All extensions are up to date.'] = 'An holl astennoù a zo hizivaet';
+$lang['Exif extension not available, admin should disable exif use'] = 'N\'eo ket hegerzh astenn exif, ret e vefe d\'ar merour diweredekaat implij exif.';
+$lang['Extensions Update'] = 'Hizivadur an astennoù';
+$lang['Administration Home'] = 'Pajenn-degemer ar merour';
+$lang['Advanced features'] = 'Arc\'hweladurioù araokaet';
+$lang['An error has occured during upgrade.'] = 'Ur fazi a zo c\'hoarvezet en ur hizivaat.';
+$lang['An error occured during extraction (%s).'] = 'Ur fazi a zo c\'hoarvezet en ur eztennañ ar restroù (%s).';
+$lang['An information email was sent to group "%s"'] = 'Ur postel gant titouroù a zo bet kaset da strollad "%s"';
+$lang['Anomaly'] = 'Direizhder';
+$lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'Ur fazi a zo c\'hoarvezet en ur eztennañ. Sellit ouzh aotreoù ar restroù ho staliadur Piwigo.<br><a href="%s">Klikit amañ evit diskouez renabl ar fazi</a>.';
+$lang['By rank'] = 'Dre renk';
+$lang['Caddie'] = 'Karrigell';
+$lang['Caddie management'] = 'Merañ ar c\'harrigell';
+$lang['By %s'] = 'Dre %s';
+$lang['Associate to album'] = 'Liammañ ouzh ar rummad';
+$lang['Associated'] = 'Liammet';
+$lang['Authorized'] = 'Aotreet';
+$lang['Apply selected corrections'] = 'Arloañ ar reizhadurioù diuzet';
+$lang['Applications'] = 'Arloadoù';
+$lang['Apply action'] = 'Arloañ an obererezh';
+$lang['Apply to sub-albums'] = 'Arloañ d\'an iz-rummadoù';
+$lang['Anyway only webmasters can see this tab and never administrators.'] = 'Ar mestr-gwiad hepken a c\'hell gwellet an ivinell-mañ. Ar merourien ne c\'hellont ket.';
+$lang['Date'] = 'Deiziad';
+$lang['Configuration'] = 'Kefluniadur';
+$lang['Database'] = 'Diaz roadennoù';
+$lang['Average rate'] = 'Notenn keitad';
+$lang['Cancel'] = 'Nullañ';
+$lang['Change password'] = 'Cheñch ger-tremen';
+$lang['Watermark'] = 'Ritenn';
+$lang['add a new watermark'] = 'Lakaat ur ritenn nevez';
+$lang['Apply watermark if height is bigger than'] = 'Lakaat ur ritenn ma vez an uhelder brasoc\'h eget';
+$lang['Apply watermark if width is bigger than'] = 'Lakaat ur ritenn ma vez al ledander brasoc\'h eget';
+$lang['Aperture is designed for professional photographers with iPhoto simplicity.'] = 'Aperture a zo empennet evit al luc\'hskeudennerien a-vicher, gant aezamant iPhoto.';
+$lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture a zo un ostilh galloudus evit eilaozañ luc\'hskeudennoù ha merañ meur a luc\'hskeudennoù gant MacOSX.';
+$lang['iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.'] = 'iPhoto a zo ar merour-luc\'hskeudennoù dre ziouer gant MacOSX. Gant lugant ezporzhiañ Piwigo e vo posubl deoc\'h krouiñ rummadoù nevez, hag ezporzhiañ ho luc\'hskeudennoù eus iPhoto betek ho palier luc\'hskeudennoù Piwigo.';
+$lang['Automatic correction'] = 'Difazier emgefreek';
+$lang['Automatic sort order'] = 'Urzh rummañ emgefreek';
+$lang['Available on'] = 'Hegerzh e';
+$lang['Available only with HTML format'] = 'Hegerzh gant furmad HTML hepken';
+$lang['The anomaly will be ignored until next application version'] = 'Ne vo graet netra diwar-benn ar fazi betek stumm an arload a zeu';
+$lang['Piwigo version'] = 'Stumm Piwigo';
+$lang['You are running the latest version of Piwigo.'] = 'Emañ stumm Piwigo diwezhañ o labourat ganeoc\'h.';
+$lang['The version of %s [%s] installed is not compatible with the version required ']['%s'] = 'Stumm %s staliet [%s] n\'eo ket kenglotus gant stumm eo ret kaout [%s]';
+$lang['GD version'] = 'Stumm GD';
+$lang['New Version'] = 'Stumm nevez';
+$lang['Version'] = 'Stumm';
+$lang['Authorize users to add comments on selected albums'] = 'Reiñ an aotre d\'an implijerien evit lakaat evezhiadennoù er rummadoù diuzet';
+$lang['Are you sure you want to delete this plugin?'] = 'Ha sur oc\'h da zilemel al lugant-se ?';
+$lang['Are you sure you want to install this plugin?'] = 'Ha sur oc\'h da staliañ al lugant-se ?';
+$lang['Delete selected photos'] = 'Dilemel al luc\'hskeudennoù diuzet';
+$lang['Drop into album'] = 'Diuzañ ur rummad';
+$lang['Choose an action'] = 'Dibabit un obererezh';
+$lang['Center of interest'] = 'Darn talvoudus';
+$lang['Change Admin Colors'] = 'Cheñch livioù ar mererezh';
+$lang['Change username'] = 'Cheñch anv implijer';
+$lang['Available versions for'] = 'Stummoù hegerz evit';
+$lang['Basic settings'] = 'Arventennoù diazez';
+$lang['By default, the center of interest is placed in the middle of the photo.'] = 'An darn talvoudus e-barzh al luc\'hskeudenn a vez en he c\'hreiz dre ziouer.';
+$lang['Can\'t connect to server.'] = 'Ne oa ket posubl kevreañ ouzh ar servijer';
+$lang['Languages which need upgrade'] = 'Yezhoù o deus ezhomm un hizivadur';
+$lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = 'Ha sur oc\'h da gregiñ gant staliadur an hizivaat-se? Ret eo deoc\'h sellout ouzh ar stumm-mañ, ma ne vez ket ezhomm da zistaliañ a-raok.';
+$lang['Plugins which need upgrade'] = 'Lugantoù da hizivaat';
+$lang['Themes which need upgrade'] = 'Temoù o deus ezhomm un hizivadur';
+$lang['Unable to check for upgrade.'] = 'Ne oa ket posubl degas an hizivadur';
+$lang['user_status_guest'] = 'Ostiziad ';
+$lang['user_status_normal'] = 'Implijer';
+$lang['user_status_webmaster'] = 'Mestr-gwiad';
+$lang['Approximate maximum resolution: %dM pixels (that\'s %dx%d pixels).'] = 'Diarunusted uc\'hek arnes: %dM piksel (%dx%d piksel).';
Index: /branches/2.6/language/br_FR/common.lang.php
===================================================================
--- /branches/2.6/language/br_FR/common.lang.php	(revision 28619)
+++ /branches/2.6/language/br_FR/common.lang.php	(revision 28620)
@@ -23,5 +23,5 @@
 /*
 Language Name: Brezhoneg [FR]
-Version: 2.6.1
+Version: 2.6.2
 Language URI: http://piwigo.org/ext/extension_view.php?eid=698
 Author: Piwigo team
@@ -419,3 +419,3 @@
 $lang['%d photos per page'] = '%d luc\'hskeudenn e pep pajenn';
 $lang['Theme'] = 'Tem';
-?>
+$lang['No results for'] = 'Disoc\'h ebet evit';
Index: /branches/2.6/language/en_GB/admin.lang.php
===================================================================
--- /branches/2.6/language/en_GB/admin.lang.php	(revision 28619)
+++ /branches/2.6/language/en_GB/admin.lang.php	(revision 28620)
@@ -57,5 +57,5 @@
 $lang['Last import'] = 'Latest import';
 $lang['Last revisions'] = "Latest revisions";
-$lang['Last send'] = "Latest send";
+$lang['Last send'] = 'Last sent';
 $lang['Link all album photos to some existing albums'] = "Link all album photos to some existing album";
 $lang['Manage tags'] = 'Manage keywords';
@@ -109,5 +109,5 @@
 $lang['You are running on development sources, no check possible.'] = "You are running a development version, no check possible.";
 $lang['You have specified <i>$conf[\'order_by\']</i> in your local configuration file, this parameter in deprecated, please remove it or rename it into <i>$conf[\'order_by_custom\']</i> !'] = 'You have specified <i>$conf[\'order_by\']</i> in your local configuration file, this parameter is deprecated, please remove it or rename it to <i>$conf[\'order_by_custom\']</i> !';
-$lang['You need to upgrade your system to take full advantage of the application else the application will not work correctly, or not at all'] = "Please upgrade your system to take full advantage of the application, otherwise it might work improperly, or not at all";
+$lang['You need to upgrade your system to take full advantage of the application else the application will not work correctly, or not at all'] = 'Please upgrade your system to take full advantage of the application, otherwise it might not work correctly, or not at all';
 
 $lang['digiKam is designed for photographers who want to view, manage, edit, enhance, organize, tag, and share photographs.'] = 'digiKam is designed for photographers who want to view, manage, edit, enhance, organise, tag, and share photographs.';
@@ -146,3 +146,17 @@
 $lang['Active Languages'] = 'Active languages';
 $lang['Active Plugins'] = 'Active plugins';
-?>
+$lang['You are using the Flash uploader. Problems? Try the <a href="%s">Browser uploader</a> instead.'] = 'You are using the Flash uploader.  Problems? Try the <a href="%s">Browser uploader</a> instead.';
+$lang['Upload Photos'] = 'Upload photos';
+$lang['Uploaded Photos'] = 'Uploaded photos';
+$lang['Update All'] = 'Update all';
+$lang['Update Complete'] = 'Update complete';
+$lang['Switch to clear or dark colors for administration'] = 'Switch to clear or dark colours for administration';
+$lang['Start Upload'] = 'Start upload';
+$lang['Pending Comments'] = 'Pending comments';
+$lang['Obsolete Plugins'] = 'Obsolete plugins';
+$lang['Multiple Size'] = 'Multiple size';
+$lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'This theme could not be activated  as the parent theme ( %s )is missing';
+$lang['Help Me'] = 'Help me';
+$lang['An error occured during extraction (%s).'] = 'An error occurred during the files (%s) extraction.';
+$lang['An error has occured during upgrade.'] = 'An error has occurred during upgrade.';
+$lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'An error has occurred during extract. Please check file permissions of your Piwigo installation.<br><a href="%s">Click here to show log error</a>.';
Index: /branches/2.6/language/en_GB/common.lang.php
===================================================================
--- /branches/2.6/language/en_GB/common.lang.php	(revision 28619)
+++ /branches/2.6/language/en_GB/common.lang.php	(revision 28620)
@@ -23,5 +23,5 @@
 /*
 Language Name: English [GB]
-Version: 2.6.0
+Version: 2.6.1
 Language URI: http://piwigo.org/ext/extension_view.php?eid=716
 Author: Piwigo team
@@ -54,5 +54,5 @@
 $lang['Requested tag does not exist'] = 'Requested keyword does not exist';
 $lang['Search tags'] = "Search keywords";
-$lang['show tag cloud'] = "show keywords ungrouped";
+$lang['show tag cloud'] = 'show keywords cloud';
 $lang['Tag results for'] = "Keyword results for";
 $lang['Tag'] = "Keyword";
@@ -65,6 +65,6 @@
 $lang['display your favorites photos'] = 'display your favourite photos';
 $lang['You are not authorized to access the requested page'] = 'You are not authorised to access the requested page';
-$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Successfully registered; you will soon receive an email with your connection settings. Welcome!';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Successfully registered.  You will soon receive an email with your connection settings. Welcome!';
 $lang['Please, enter a login'] = 'Please enter a login';
 $lang['Piwigo encountered a non recoverable error'] = 'Piwigo encountered an irrecoverable error';
-?>
+$lang['Forgot your password?'] = 'Forgotten your password?';
Index: /branches/2.6/language/en_GB/install.lang.php
===================================================================
--- /branches/2.6/language/en_GB/install.lang.php	(revision 28620)
+++ /branches/2.6/language/en_GB/install.lang.php	(revision 28620)
@@ -0,0 +1,23 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Congratulations, Piwigo installation is completed'] = 'Congratulations.  Piwigo installation is completed';
Index: /branches/2.6/language/gl_ES/common.lang.php
===================================================================
--- /branches/2.6/language/gl_ES/common.lang.php	(revision 28619)
+++ /branches/2.6/language/gl_ES/common.lang.php	(revision 28620)
@@ -23,5 +23,5 @@
 /*
 Language Name: Galego [ES]
-Version: 2.6.0
+Version: 2.6.1
 Language URI: http://piwigo.org/ext/extension_view.php?eid=681
 Author: Piwigo team
Index: /branches/2.6/language/gl_ES/help/group_list.html
===================================================================
--- /branches/2.6/language/gl_ES/help/group_list.html	(revision 28620)
+++ /branches/2.6/language/gl_ES/help/group_list.html	(revision 28620)
@@ -0,0 +1,22 @@
+<h2>Lista de grupos</h2>
+
+<p>Este é o lugar onde xestionas os grupos.</p>
+
+<h3>Engadir un grupo</h3>
+
+<p>O administrador pode engadir grupos.</p>
+
+<h3>Lista de grupos</h3>
+
+<p>Para cada grupo poden aplicarse as seguintes accións:</p>
+
+
+<ul>
+  <li>ir á xestión de usuarios (Administración &raquo; Usuarios &raquo; Xestión).</li>
+  <li>ir á pantalla de xestión de permisos para conceder ou denegar acceso a albumes privados.</li>
+  <li>borrar o grupo (require confirmación).</li>
+  <li>alternar o estado "predeterminado" (require confirmación).</li>
+</ul>
+
+<h3>Grupos predeterminados</h3>
+<p>Os grupos predeterminados son grupos que se asocian automaticamente a cada novo usuario no momento do rexistro ou creación por parte dun administrador.</p>
Index: /branches/2.6/language/gl_ES/help/help_add_photos.html
===================================================================
--- /branches/2.6/language/gl_ES/help/help_add_photos.html	(revision 28620)
+++ /branches/2.6/language/gl_ES/help/help_add_photos.html	(revision 28620)
@@ -0,0 +1,29 @@
+<p>Varios xeitos de engadir túas fotos á túa galería:</p>
+
+<ul>
+  <li><strong>Envío directo</strong> dentro so teu navegador é o xeito 
+  máis simple e inmediato. Depende dos recursos do teu navegador
+  e do teu servidor web. Para grandes cantidades de fotos ou no caso de atopar problemas,
+  agardanpor ti outros métodos!</li>
+</ul>
+
+<p class="nextStepLink"><a href="admin.php?page=photos_add&section=direct">Ir ó envío directo</a></p>
+
+<ul>
+  <li><strong>pLoader</strong> é unha aplicación de escritorio, para ser instalada no teu 
+  computador. Arrastra &amp; solta fotos dentro da xanela do pLoader, preme en 
+  <em>"Enviar para o Piwigo"</em> e deixa ó pLoader facer o traballo. Podes atopar outros 
+  aplicativos de escritorio como <strong>WinToPiwigo</strong> ou o engadido de exportación a Piwigo do <strong>Digikam</strong>.</li>
+</ul>
+
+<p class="nextStepLink"><a href="admin.php?page=photos_add&section=ploader">Ir ó pLoader</a></p>
+
+<div id="helpSynchro">
+<ul>
+  <li><strong>Transferencia FTP</strong> este é o camiño máis recomendado 
+  para engadir unha gran colección de fotos con un número mínimo de operacións. Sigue a guía para preparar as fotos.
+  O método FTP permite un controlar con precisión a organización física das fotos no teu servidor.</li>
+</ul>
+
+<p class="nextStepLink"><a href="admin.php?page=photos_add&section=ftp">Ir ó FTP</a></p>
+</div>
Index: /branches/2.6/language/gl_ES/help/help_groups.html
===================================================================
--- /branches/2.6/language/gl_ES/help/help_groups.html	(revision 28620)
+++ /branches/2.6/language/gl_ES/help/help_groups.html	(revision 28620)
@@ -0,0 +1,10 @@
+<p>Os grupos de usuarios son un xeito cómodo de establecer permisos para unha lista de usuarios.</p>
+
+<p>Crea grupos en <span class="pwgScreen">Administración &raquo; Usuarios
+&raquo; Grupos</span> e asocia usuarios a estes grupos
+en <span class="pwgScreen">Administración &raquo; Usuarios &raquo;
+Xestión</span>.</p>
+
+<p>Un usuario pode pertencer a varios grupos. A autorización ten preferencia sobre 
+a prohibición: se o usuario "Xan" está nos grupos "familia" e "amigos", e se só o 
+grupo "familia" pode ver o "Álbum de nadal" daquela "Xan" tamén poderá ver o "Álbum de nadal".</p>
Index: /branches/2.6/language/gl_ES/help/help_misc.html
===================================================================
--- /branches/2.6/language/gl_ES/help/help_misc.html	(revision 28620)
+++ /branches/2.6/language/gl_ES/help/help_misc.html	(revision 28620)
@@ -0,0 +1,11 @@
+<p>Así que teñas creada a túa galería podes configurala para teus visitantes
+<ul>
+	<li>A vista predeterminada desexada en 
+            <span class="pwgScreen">Administración &raquo; Configuración &raquo; Opcións</span> lapela 
+            <span class="pwgScreen">Opcións dos invitados</span>.</li>
+	<li>O tema predeterminado en <span class="pwgScreen">Administración &raquo; Configuración &raquo; Temas</span>.</li>
+	<li>O idioma predeterminado en <span class="pwgScreen">Administración &raquo; Configuración &raquo; Idiomas</span>.</li>
+ </ul>
+ De xeito predeterminado, cada novo usuario herdará esas propiedades tralo rexistro.
+</p>
+<p>Se tes algunha cuestión, a comunidade Piwigo darache a benvida no <a href="http://piwigo.org/forum">seu foro</a>.</p>
Index: /branches/2.6/language/gl_ES/help/help_permissions.html
===================================================================
--- /branches/2.6/language/gl_ES/help/help_permissions.html	(revision 28620)
+++ /branches/2.6/language/gl_ES/help/help_permissions.html	(revision 28620)
@@ -0,0 +1,59 @@
+
+<fieldset>
+<legend>Permisos das fotos</legend>
+
+<p>Cada foto permite establecerlle un <strong>nivel de privacidade</strong> (un bloqueo). Cada usuario tamén ten seu nivel de privacidade (unha chave). Hai 5 niveis de privacidade:</p>
+<ol>
+  <li>Ningunha</li>
+  <li><em>Contactos</em></li>
+  <li><em>Amigos(a cal é maior que a dun contacto)</em></li>
+  <li><em>Familia(a cal é maior que a dun amigo)</em></li>
+  <li><em>Administradores(a cal é maior que calquera outro nivel)</em></li>
+</ol>
+
+<p>Os niveis altos teñen permisos sobre os niveis máis baixos. Para un determinado usuario, a maior nivel de privacidade, máis fotos poderá ver.</p>
+
+<p>Por exemplo, se a foto "boda_pedro-0024.jpg" ten o nivel de privacidade <em>"Familia"</em>, entón:</p>
+<ul>
+  <li>Pedro(que é un <em>"Administrador"</em>) verá a foto porque os <em>"Administradores"</em> poden ver tódalas fotos.</li>
+  <li>Xulia(que é  membro de <em>"Familia"</em>) tamén verá a foto.</li>
+  <li>Maruxa(que só é membro de <em>"Amigos"</em>) non poderá ver a foto.</li>
+</ul>
+
+<p>Un usuario que non ten permiso para ver o contido dun álbum non poderá velom nin sequera o seu título. Ás etiquetas aplícaselles o mesmo principio.</p>
+
+<p>Podes establecer o nivel de privacidade dun usuario na pantalla <span class="pwgScreen">Administración &raquo; Usuarios &raquo; Xestión</span>.</p>
+
+</fieldset>
+
+<fieldset>
+<legend>Permisos dos álbums</legend>
+
+<p>Se o nivel de privacidade non se axusta ás túas necesidades, podes xestionar os permisos nos álbums para 
+un usuario ou grupo. Podes xestionar permisos en fotos e álbums á vez sen problema.</p>
+
+<p>Podes prohibir o acceso ós álbums. Para elo tes que mudar o tipo de acceso ó álbum a "privado" desde a xestión dos permisos.</p>
+
+<p>Podes establecer un álbum como privado modificando un único álbum
+(<span class="pwgScreen">Administración &raquo; Álbums &raquo; Xestión
+&raquo; modificar</span>) ou establecendo as opcións para toda a árbore de álbums
+(<span class="pwgScreen">Administración &raquo; Álbums &raquo;
+Propiedades &raquo; Público / Privado</span>).</p>
+
+<p>unha vez que o álbum é privado, podes xestionar os permisos para grupos e 
+usuarios desde 3 pantallas:</p>
+
+<ul>
+
+  <li><span class="pwgScreen">Administración &raquo; Usuarios &raquo; Xestión &raquo;
+  Modificar &raquo; Nivel de privacidade</span></li>
+
+  <li><span class="pwgScreen">Administración &raquo; Usuarios &raquo; Grupos &raquo;
+  Modificar &raquo; Grupos</span></li>
+
+  <li><span class="pwgScreen">Administración &raquo; Álbums &raquo; Xestión &raquo; 
+  Modificar &raquo; Permisos</span></li>
+
+</ul>
+</fieldset>
+
Index: /branches/2.6/language/gl_ES/help/help_virtual_links.html
===================================================================
--- /branches/2.6/language/gl_ES/help/help_virtual_links.html	(revision 28620)
+++ /branches/2.6/language/gl_ES/help/help_virtual_links.html	(revision 28620)
@@ -0,0 +1,7 @@
+<p>As fotos sitúanse no álbum correspondente ó cartafol que as conteñen.</p>
+
+<p>Tamén podes amosar unha foto en varios álbums, sen duplicar o ficheiro no teu servidor.
+ Asocia a foto con calquera outro álbum desde a pantalla de edición da foto (que calquera administrador pode acceder a partir da páxina da foto ó lado da galería).</p>
+
+<p>Os álbums virtuais baséanse neste concepto: non teñen un correspondente cartafol. Crea álbums virtuais desde <span class="pwgScreen">Administración &raquo; Álbums &raquo;
+Xestión</span>.</p>
Index: /branches/2.6/language/gl_ES/help/history.html
===================================================================
--- /branches/2.6/language/gl_ES/help/history.html	(revision 28620)
+++ /branches/2.6/language/gl_ES/help/history.html	(revision 28620)
@@ -0,0 +1,24 @@
+<h2>Histórico</h2>
+
+<p>Nestas pantallas, podes supervisar o histórico de visitas á túa galería segundo as opcións escollidas en: Administración &raquo; Configuración &raquo; Opcións &raquo; Xeral</p>
+	
+<h3>Estatísticas</h3>
+<ul>
+  <p>Se escolliches rexistrar as páxinas visitadas (<span class="pwgScreen">index.php</span> e <span class="pwgScreen">picture.php</span>), 
+podes supervisalas desde esta lapela.</p>
+	<li><strong>Estatísticas globais</strong>: visitas por ano. </li>
+	<li><strong>Estatísticas anuais</strong>: visitas por mes do ano seleccionado.</li>
+	<li><strong>Estatísticas mensuais</strong>: visitas or día do mes seleccionado.</li>
+	<li><strong>Estatísticas diarias</strong>: visitas por hora do día seleccionado.</li>
+</ul>
+
+<h3>Buscar</h3>
+<ul>
+  <p>Se escolliches rexistrar as páxinas visitadas (<span class="pwgScreen">index.php</span> e 
+<span class="pwgScreen">picture.php</span>), podes examinar os detalles desde esta lapela coa axuda de diferentes filtros.</p>
+	<li><strong>Filtrar por data:</strong> escolle o rango de datas a buscar seleccionando as datas de comezo e fin.</li>
+	<li><strong>Filtrar por tipo de elemento:</strong> selecciona o tipo de elemento para as estatísticas sobre ese elemento.</li>
+	<li><strong>Filtrar por usuario:</strong> selecciona o usuario para as estatísticas sobre ese usuario.</li>
+	<li><strong>Filtrar por identificador de imaxe:</strong> selecciona o identificador da imaxe para as estatísticas sobre esa imaxe.</li>
+	<li><strong>Filtrar por nome do título:</strong> selecciona o nome do ficheiro para as estatísticas sobre ese ficheiro.</li>
+</ul>
Index: /branches/2.6/language/he_IL/common.lang.php
===================================================================
--- /branches/2.6/language/he_IL/common.lang.php	(revision 28619)
+++ /branches/2.6/language/he_IL/common.lang.php	(revision 28620)
@@ -23,5 +23,5 @@
 /*
 Language Name: עברית [IL]
-Version: 2.6.1
+Version: 2.6.2
 Language URI: http://piwigo.org/ext/extension_view.php?eid=457
 Author: Piwigo team
@@ -420,3 +420,3 @@
 $lang['Email'] = 'אימייל';
 $lang['%d photos per page'] = '%d תמונות בעמוד';
-?>
+$lang['No results for'] = 'לא נמצאו תוצאות עבור';
Index: /branches/2.6/language/he_IL/install.lang.php
===================================================================
--- /branches/2.6/language/he_IL/install.lang.php	(revision 28619)
+++ /branches/2.6/language/he_IL/install.lang.php	(revision 28620)
@@ -65,3 +65,3 @@
 $lang['Don\'t hesitate to consult our forums for any help : %s'] = 'אל תהסס להתייעץ בפורומים שלנו בכל נושא: %s';
 $lang['Welcome to your new installation of Piwigo!'] = 'ברוך הבא לגלרית piwigo החדשה שלך';
-?>
+$lang['localhost or other, supplied by your host provider'] = 'מקומי(localhost)או אחר, המסופק על ידי הספק המארח שלך';