Index: /extensions/meta/language/vi_VN/index.php
===================================================================
--- /extensions/meta/language/vi_VN/index.php	(revision 28623)
+++ /extensions/meta/language/vi_VN/index.php	(revision 28623)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/meta/language/vi_VN/plugin.lang.php
===================================================================
--- /extensions/meta/language/vi_VN/plugin.lang.php	(revision 28623)
+++ /extensions/meta/language/vi_VN/plugin.lang.php	(revision 28623)
@@ -0,0 +1,63 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['meta_select'] = 'Chọn thẻ metadata thông dụng để sửa';
+$lang['meta_robots_help'] = 'all: cho phép robot tham khảo toàn bộ trang ( mặc định )<br> follow: cho phép robot theo dõi các liên kết của trang<br> index: cho phép robot đánh chỉ mụ trang<br> None: ngăn chặn robot dõi theo các chỉ mục của trang.';
+$lang['meta_robots'] = 'Miêu tả thẻ "robots"';
+$lang['meta_onglet_gestion'] = 'Thẻ metadata thông dụng';
+$lang['meta_compcatdes'] = 'Đặc tả riêng cho album này';
+$lang['meta_compcat'] = 'Từ khóa riêng cho album này';
+$lang['meta_comp'] = 'Thẻ metadata cần hoàn thiện';
+$lang['meta_compimg'] = 'Từ khóa riêng cho ảnh này';
+$lang['meta_compcatdeshelp'] = 'Sẽ thay đặc tả thẻ thông thường';
+$lang['meta_compimgdes'] = 'Miêu tả riêng cho ảnh này';
+$lang['meta_description'] = 'Miêu tả';
+$lang['meta_desh3'] = 'Quản lý các thẻ thông dụng cho các trang';
+$lang['meta_insmeta'] = 'Chèn thẻ metadata';
+$lang['meta_diff_val'] = 'Giá trị khả dụng';
+$lang['meta_inscat'] = 'Chèn trường';
+$lang['meta_keywords'] = 'Miêu tả thẻ "keywords"';
+$lang['meta_keywords_help'] = '"từ khóa 1, từ khóa 2,vv.."<br> Các từ khóa đặc tả về trang web ( tách nhau bằng dấu phẩy )';
+$lang['meta_name'] = 'Tên thẻ metadata';
+$lang['meta_onglet_description'] = 'Về thẻ metadata';
+$lang['meta_list'] = 'Thẻ Metadata:';
+$lang['meta_select2'] = 'Chọn thẻ metadata';
+$lang['Description of Additional Pages to be completed'] = 'Trường "description" trang mở rộng hoàn tất';
+$lang['Description of contact page to be completed'] = 'Trường "description" của trang liên hệ đã được hoàn tất';
+$lang['Keywords of contact page to be completed'] = 'Trường "keywords" của trang liên hệ đã hoàn tất';
+$lang['meta_author'] = 'Miêu tả trường thông tin "author"';
+$lang['Contact page Metadata'] = 'Metadata trang liên hệ';
+$lang['Choose Additional Pages'] = 'Chọn trang mở rộng';
+$lang['Additional Pages Metadata'] = 'Metadata những trang mở rộng';
+$lang['Add metadata for page'] = 'Thêm metadata cho trang';
+$lang['Add Personal metadata'] = 'Thêm metadata tùy biến';
+$lang['Keywords of Additional Pages to be completed'] = 'Trường "keywords" của trang mở rộng đã hoàn tất';
+$lang['Metadata - Plugin meta'] = 'Metadata - Plugin meta';
+$lang['Manage tag Metadata'] = 'Quản lý các thẻ meta';
+$lang['List Personal Metadata'] = 'Danh sách các thẻ metadata tùy biến';
+$lang['meta_Description'] = 'Miêu tả của trường thông tin "description"';
+$lang['Personal metadata update'] = 'Thông tin metadata tùy biến đã được cập nhật';
+$lang['Metadata updated'] = 'Cập nhật xong metadata';
+$lang['Personal Metadata'] = 'Metadata tùy biến';
+$lang['meta_Description_help'] = 'Miêu tả trang web của bạn<br> Cho phép thông tin hiển thị như là kết quả trả về của máy tìm kiếm.';
+$lang['meta_author_help'] = 'Thông tin về Tác giả <br> Tên, Bí danh của tác giả trang web';
+$lang['meta_choix'] = 'Sửa thông tin metadata';