Index: trunk/plugins/TakeATour/language/nl_NL/plugin.lang.php
===================================================================
--- trunk/plugins/TakeATour/language/nl_NL/plugin.lang.php	(revision 28612)
+++ trunk/plugins/TakeATour/language/nl_NL/plugin.lang.php	(revision 28635)
@@ -55,2 +55,55 @@
 $lang['first_contact_title7'] = ' ';
 $lang['first_contact_title8'] = ' ';
+$lang['first_contact_stp24'] = 'Zeker een van de belangrijkste pagina is de permissie pagina van een eigen album. Klik op het tabblad permissie of klik op volgende';
+$lang['first_contact_stp29'] = 'Hier op die eerste pagina, vindt u de essentiële en basisconfiguratie voor de instellingen van uw galerie.';
+$lang['first_contact_stp28'] = 'Nu zullen we naar de instellingen en opties die beschikbaar zijn voor Piwigo kijken, waar jij mee wilt gaan werken. Klik op Configuratie->Opties of klik op Volgende.';
+$lang['first_contact_stp27'] = 'Belangrijke feit: de webmasters en beheerders zijn niet alwetend tijdens het browsen op het openbare deel, maar ze hebben wel de toegang tot elke album en foto\'s op het admin. gedeelte. ';
+$lang['first_contact_stp41'] = 'Je kunt zien op het laatste tabblad, welke plugins beschikbaar zijn voor uw versie van Piwigo. Er zijn meer dan 100 plugins beschikbaar!';
+$lang['first_contact_stp40'] = 'Ik ben het! Schakel mij nu niet uit, maar je kunt hier zien, dat je een geactiveerde plugin, in en uit kunt schakelen.';
+$lang['first_contact_stp5'] = 'Klik vervolgens op de knop om foto\'s te selecteren voor het verzenden van via uw computer';
+$lang['first_contact_title22'] = 'Album Editie Pagina';
+$lang['2_7_0_stp2'] = 'Zoals u kunt zien, is er een nieuwe standaard plugin toegevoegd: Neem een rondleiding. Deze plugin helpt u om uw Piwigo ontdekken. Hier is een lijst met alle beschikbare rondleidingen.<br>Deze pagina is beschikbaar in<em>Plugins » Neem een rondleiding</em>';
+$lang['2_7_0_stp11'] = 'Deze rondleiding is voorbij.<p Style="text-align:center"> Geniet van uw Piwigo 2.7!</P>Als je Piwigo en ons wilt ondersteunen, kunt u een bijdrage leveren door te helpen met de vertalingen, te doneren, et cetera.<a href="http://piwigo.org/basics/contribute"target="_blank">Klik hier om ons te ondersteunen</a>';
+$lang['2_7_0_stp1'] = 'Hello! Ik zal uw gids zijn om Piwigo ontdekken. Volg mijn instructies op en klik op "Volgende" (of gebruik de pijltjes van je toetsenbord) om te navigeren. Als je naar een andere pagina gaat, wordt u doorgestuurd naar de huidige pagina van de rondleiding.';
+$lang['first_contact_stp15'] = 'Op die pagina kunt u alle eigenschappen van een foto te bewerken, bijvoorbeeld ...';
+$lang['first_contact_stp11'] = 'Zo kunt u vanuit hier, een of meerdere foto\'s selecteren.';
+$lang['Take a tour and discover the features of your Piwigo gallery » Go to the available tours'] = 'Neem een ​​rondleiding en ontdek de mogelijkheden van uw Piwigo galerie » Ga nu naar de beschikbare rondleidingen. ';
+$lang['first_contact_stp2'] = 'De link is hier. Klik op "Volgende" om door te gaan';
+$lang['first_contact_title4'] = 'Laten we een foto toevoegen!';
+$lang['first_contact_stp4'] = 'Kies eerst een album en maak er een, als die nog niet bestaat.';
+$lang['first_contact_stp32'] = 'Bewaar nu uw wijzigingen';
+$lang['first_contact_stp30'] = 'Laten we beginnen met het veranderen van de tittel';
+$lang['first_contact_title38'] = 'Plugins';
+$lang['first_contact_title39'] = 'Plugins';
+$lang['first_contact_title42'] = 'Talen';
+$lang['first_contact_title43'] = 'Het was een geweldige tijd';
+$lang['first_contact_title9'] = 'De Batch Manager';
+$lang['takeatour_configpage'] = 'Neem een rondleiding » Lijst van rondleidingen';
+$lang['first_contact_title34'] = 'Themes';
+$lang['first_contact_title35'] = 'Themes';
+$lang['first_contact_title36'] = 'Themes';
+$lang['first_contact_title37'] = 'Themes';
+$lang['first_contact_title33'] = 'Gastgebruikersinstellingen';
+$lang['first_contact_title3'] = 'Foto toevoegen pagina';
+$lang['first_contact_title29'] = 'Configuratie->Opties->Algemeen';
+$lang['first_contact_title28'] = 'Configuratie';
+$lang['first_contact_title25'] = 'Album permissie';
+$lang['first_contact_title15'] = '?';
+$lang['first_contact_title21'] = 'Andere tabbladen';
+$lang['first_contact_title20'] = 'Albums beheren';
+$lang['first_contact_title19'] = 'Albums beheren';
+$lang['first_contact_title18'] = 'Albums beheren';
+$lang['first_contact_title11'] = 'Hoe je een foto kunt bewerken';
+$lang['first_contact_title1'] = 'Welkom in uw Piwigo galerie';
+$lang['Visit your Piwigo!'] = 'Bezoek uw Piwigo!';
+$lang['Start the Tour'] = 'Start de rondleiding';
+$lang['Prev'] = 'Vorige';
+$lang['Next '] = 'Volgende';
+$lang['First Contact'] = 'Eerste contact';
+$lang['2.7 Tour'] = '2.7 rondleiding';
+$lang['End tour'] = 'Einde rondleiding';
+$lang['2_7_0_title3'] = 'Snel zoeken';
+$lang['2_7_0_title2'] = 'Eerste nieuwe functie';
+$lang['2_7_0_title11'] = 'Tot ziens!';
+$lang['2_7_0_title1'] = 'Welkom bij Piwigo 2.7';
+$lang['2_7_0_descrp'] = 'Ontdek wat er nieuw is in Piwigo 2.7';