Index: /extensions/piwishack/language/zh_CN/description.txt
===================================================================
--- /extensions/piwishack/language/zh_CN/description.txt	(revision 28658)
+++ /extensions/piwishack/language/zh_CN/description.txt	(revision 28659)
@@ -1,1 +1,1 @@
-PiwiShack。Piwigo的图片分享
+显示一个格式化的链接列表，以便在网站、博客或论坛中显示您的图片。
Index: /extensions/piwishack/language/zh_CN/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/zh_CN/plugin.lang.php	(revision 28658)
+++ /extensions/piwishack/language/zh_CN/plugin.lang.php	(revision 28659)
@@ -19,15 +19,54 @@
 // +-----------------------------------------------------------------------+
 
-$lang['open_window_piwishack'] = '打开PiwiShack窗口';
-$lang['close_window_piwishack'] = '关闭PiwiShack窗口';
-$lang['Partage_me'] = '分享你的照片';
+$lang['open_window_piwishack'] = '打开 PiwiShack 窗口';
+$lang['close_window_piwishack'] = '关闭 PiwiShack 窗口';
+$lang['Partage_me'] = '分享你的照片。';
 
 $lang['admin_codes_img'] = '没有超链接的图片';
 $lang['admin_codes_img_to_page'] = '超链接至相册的图片';
 $lang['admin_codes_thumb'] = '没有超链接的缩略图';
-$lang['admin_codes_thumb_to_image'] = '超链接至相册的缩略图';
-$lang['admin_custom_code'] = '自定义编码 #';
-$lang['admin_custom_name'] = '名字:';
+$lang['admin_codes_thumb_to_image'] = '超链接至图片的缩略图';
+$lang['admin_custom_code'] = '自定义代码 #';
+$lang['admin_custom_name'] = '名称：';
 $lang['admin_default_sheet_custom'] = '自定义';
 $lang['admin_img_name_all'] = '总是';
-?>
+$lang['post_code_Thumbnail'] = '显示缩略图（无链接）';
+$lang['post_code_ThumbnailToGallery'] = '显示缩略图（可点击，链接至相册）';
+$lang['post_code_ThumbnailToImage'] = '显示缩略图（可点击，链接至图片）';
+$lang['sheet_bbcode'] = '核心 BBCode 代码';
+$lang['sheet_custom'] = '其他代码';
+$lang['sheet_html'] = '核心 HTML 代码';
+$lang['admin_default_sheet_html'] = 'HTML （网页适用）';
+$lang['admin_img_name_list'] = '仅用于列表';
+$lang['admin_img_name_never'] = '从不';
+$lang['admin_save'] = '保存';
+$lang['admin_title'] = 'PiwiShack 设置';
+$lang['admin_used_by'] = 'PiwiShack 可用于';
+$lang['admin_used_by_admin'] = '仅限管理员';
+$lang['admin_used_by_all'] = '所有访问者（包括guest）';
+$lang['admin_used_by_members'] = '已注册用户';
+$lang['admin_window_open'] = 'HTML链接将打开于';
+$lang['admin_window_open_local'] = '当前窗口（标准）';
+$lang['admin_window_open_other'] = '新窗口（不建议）';
+$lang['close'] = '关闭';
+$lang['custom_code'] = '自定义代码 #';
+$lang['post_code_Image'] = '以普通方式查看（无链接）';
+$lang['post_code_ImageToGallery'] = '以普通方式查看（可点击，链接至相册）';
+$lang['post_code_NameToGallery'] = '图片名称，链接至相册';
+$lang['post_code_NameToImage'] = '图片名称，链接至图片';
+$lang['admin_custom_help'] = '提示：在模式中可使用下列变量：<br />
+ <label><span class="pattern">##i</span></label>: 图片的URL - 
+ <label><span class="pattern">##t</span></label>: 缩略图的URL - 
+ <label><span class="pattern">##g</span></label>: 相册页的URL -
+ <label><span class="pattern">##n</span></label>: 图片名称<br />
+参考之前字段集中使用的模式。';
+$lang['admin_default_sheet'] = '默认显示的格式表单是';
+$lang['admin_default_sheet_bbcode'] = 'BBCode （论坛适用）';
+$lang['admin_fieldset_codes'] = 'Piwishack 代码选择';
+$lang['admin_fieldset_custom'] = '补充表单：可自定义的链码（string code）';
+$lang['admin_fieldset_main'] = '主要参数';
+$lang['admin_img_name'] = '在代码前面显示图片名称？';
+$lang['admin_codes_help'] = '提示：每个数字都定义显示时的排列顺序。如果不想显示一个字符串模式，可以使用"0"。';
+$lang['admin_codes_name_to_image'] = '超链接至图片的图片名称';
+$lang['admin_codes_name_to_page'] = '超链接至相册的图片名称';
+$lang['admin_codes_thumb_to_page'] = '超链接至相册页的缩略图';