Index: /branches/2.6/language/km_KH/admin.lang.php
===================================================================
--- /branches/2.6/language/km_KH/admin.lang.php	(revision 28673)
+++ /branches/2.6/language/km_KH/admin.lang.php	(revision 28674)
@@ -235,3 +235,11 @@
 $lang['Automatic sort order'] = 'តម្រៀប​តាមលំដាប់​ដោយ​ស្វ័យ​ប្រវត្តិ';
 $lang['Available on'] = 'ដែល​អាច​ប្រើបាននៅ';
-?>
+$lang['Bound Theme'] = 'សម្បក​ចងភ្ជាប់';
+$lang['Cancel'] = 'បោះបង់';
+$lang['By rank'] = 'ដោយចំណាត់ថ្នាក់';
+$lang['By %s'] = 'ដោយ %s';
+$lang['Batch Manager'] = 'កម្មវិធីគ្រប់គ្រងជាបាច់';
+$lang['Basic settings'] = 'ការកំណត់មូលដ្ឋាន';
+$lang['Average rate'] = 'អត្រាជាមធ្យម';
+$lang['Available versions for'] = 'ជំនាន់ដែល​មាន​សម្រាប់';
+$lang['Available only with HTML format'] = 'មាន​តែ​នៅលើ​ទម្រង់ HTML ទេ';
Index: /branches/2.6/language/km_KH/common.lang.php
===================================================================
--- /branches/2.6/language/km_KH/common.lang.php	(revision 28673)
+++ /branches/2.6/language/km_KH/common.lang.php	(revision 28674)
@@ -23,5 +23,5 @@
 /*
 Language Name: ខ្មែរ [KH]
-Version: 2.6.1
+Version: 2.6.2
 Language URI: http://piwigo.org/ext/extension_view.php?eid=579
 Author: Piwigo team
Index: /branches/2.6/language/km_KH/upgrade.lang.php
===================================================================
--- /branches/2.6/language/km_KH/upgrade.lang.php	(revision 28673)
+++ /branches/2.6/language/km_KH/upgrade.lang.php	(revision 28674)
@@ -35,3 +35,5 @@
 $lang['As a precaution, following themes have been deactivated. You must check for themes upgrade before reactiving them:'] = 'សូម​ប្រុង​ប្រយ័ត្ន សម្បកខាង​ក្រោម​បាន​ដាក់​មិន​អោយ​ដំណើរការ។ អ្នក​ត្រូវ​តែ​ត្រួត​ពិនិត្យ​ថា​តើ​ សម្បក​ទាំង​នោះបាន​បង្កើន​ជំនាន់​មុន​ដាក់​អោយ​ដំណើរការ​ឡើងវិញ៖';
 $lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = 'សូម​ប្រុង​ប្រយ័ត្ន កម្មវិធី​ជំនួយ​ខាង​ក្រោម​បាន​ដាក់​មិន​អោយ​ដំណើរការ។ អ្នក​ត្រូវ​តែ​ត្រួត​ពិនិត្យ​ថា​តើ​ កម្មវិធី​ជំនួយ​ទាំង​នោះបាន​បង្កើន​ជំនាន់​មុន​ដាក់​អោយ​ដំណើរការ​ឡើងវិញ៖';
-?>
+$lang['This page proposes to upgrade your database corresponding to your old version of Piwigo to the current version. The upgrade assistant thinks you are currently running a <strong>release %s</strong> (or equivalent).'] = 'ទំព័រ​នេះ​ស្នើរបង្កើន​ជំនាន់​មូលដ្ឋាន​ទិន្នន័យ ពីជំនាន់​ Piwigo ចាស់​របស់​អ្នកទៅ​ជំនាន់​ថ្មី។ ផ្នែក​ជំនួយ​ខាងបង្កើន​ជំនាន់​គិត​ថា អ្នក​កំពុង​តែដំណើរការ <strong>release %s</strong> (ឬ សមមូល).';
+$lang['Perform a maintenance check in [Administration>Tools>Maintenance] if you encounter any problem.'] = 'អនុវត្តដំណើរ​ការ​ថែរក្សា [ផ្នែក​រដ្ឋបាល>ឧបករណ៍>ការថែរក្សា] បើ​អ្នក​ជួបបញ្ហាផ្សេងៗ';
+$lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = 'មាន​តែ​បុព្វបទរូបភាពតូច​ និង​អាស័យ​ដ្ឋាន​សំបុត្ររបស់​ប្រធាន​វេបសាយ​ទេ ដែល​ត្រូវ​បាន​រក្សា​ទុក​ពីការ​កំណត់​មុន​នេះ';
Index: /branches/2.6/language/pl_PL/common.lang.php
===================================================================
--- /branches/2.6/language/pl_PL/common.lang.php	(revision 28673)
+++ /branches/2.6/language/pl_PL/common.lang.php	(revision 28674)
@@ -23,5 +23,5 @@
 /*
 Language Name: Polski [PL]
-Version: 2.6.0
+Version: 2.6.1
 Language URI: http://piwigo.org/ext/extension_view.php?eid=430
 Author: Piwigo team
@@ -37,5 +37,5 @@
 $lang_info['zero_plural'] = true;
 
-$lang['%d Kb'] = '%d Kb';
+$lang['%d Kb'] = '%d kB';
 $lang['%d album updated'] = '%d album zaktualizowany';
 $lang['%d albums updated'] = '%d albumów zaktualizowanych';
@@ -60,5 +60,5 @@
 $lang['Album'] = 'Album';
 $lang['Close this window'] = 'Zamknij okno';
-$lang['Complete RSS feed (photos, comments)'] = 'Kompletny RSS feed (zdjęcia, komentarze)';
+$lang['Complete RSS feed (photos, comments)'] = 'Ogólny kanał RSS (zdjęcia, komentarze)';
 $lang['Confirm Password'] = 'Potwierdź hasło';
 $lang['Connection settings'] = 'Ustawienia połączenia';
@@ -71,7 +71,7 @@
 $lang['Dimensions'] = 'Rozmiary';
 $lang['Display'] = 'Wyświetlanie';
-$lang['Each listed rule must be satisfied.'] = 'Każda reguła musi być spełniona.';
-$lang['Email address is missing. Please specify an email address.'] = 'Brak adresu email';
-$lang['Email address'] = 'Adres email';
+$lang['Each listed rule must be satisfied.'] = 'Wszystkie kryteria muszą zostać spełnione.';
+$lang['Email address is missing. Please specify an email address.'] = 'Brak adresu e-mail';
+$lang['Email address'] = 'Adres e-mail';
 $lang['Enter your personnal informations'] = 'Wprowadź informacje';
 $lang['Error sending email'] = 'Błąd podczas wysyłania maila';
@@ -81,23 +81,23 @@
 $lang['Filter and display'] = 'Filtrowanie i wyświetlanie';
 $lang['Filter'] = 'Filtr';
-$lang['Forgot your password?'] = 'Zapomniane hasło?';
+$lang['Forgot your password?'] = 'Zapomniałeś hasła?';
 $lang['Go through the gallery as a visitor'] = 'Przejdź do galerii jako gość';
 $lang['Help'] = 'Pomoc';
 $lang['Identification'] = 'Logowanie';
-$lang['Photos only RSS feed'] = 'RSS feed tylko dla zdjęć';
+$lang['Photos only RSS feed'] = 'Kanał RSS tylko dla zdjęć';
 $lang['Keyword'] = 'Słowo kluczowe';
 $lang['Links'] = 'Linki';
-$lang['N/A'] = 'N/D';
+$lang['N/A'] = 'nd.';
 $lang['New on %s'] = 'Nowe %s';
 $lang['Notification'] = 'Powiadamianie';
 $lang['Number of items'] = 'Liczba obiektów';
-$lang['Original dimensions'] = 'Oryginalne rozmiary';
+$lang['Original dimensions'] = 'Pierwotne rozmiary';
 $lang['Password forgotten'] = 'Zapomniane hasło';
 $lang['Password'] = 'Hasło';
 $lang['Post date'] = 'Data umieszczenia';
-$lang['Posted on'] = 'Data umieszczenia';
+$lang['Posted on'] = 'Umieszczono';
 $lang['Profile'] = 'Profil';
 $lang['Quick connect'] = 'Logowanie';
-$lang['RSS feed'] = 'RSS feed';
+$lang['RSS feed'] = 'Kanał RSS';
 $lang['Register'] = 'Zarejestruj';
 $lang['Registration'] = 'Rejestracja';
@@ -105,15 +105,15 @@
 $lang['Reset'] = 'Resetuj';
 $lang['Retrieve password'] = 'Odzyskaj hasło';
-$lang['Search rules'] = 'Reguły wyszukiwania';
+$lang['Search rules'] = 'Kryteria wyszukiwania';
 $lang['Search tags'] = 'Szukaj tagów';
 $lang['Search'] = 'Szukaj';
-$lang['display available tags'] = 'Zobacz dostępne tagi';
+$lang['display available tags'] = 'zobacz dostępne tagi';
 $lang['Since'] = 'Od';
 $lang['Sort by'] = 'Sortuj po';
-$lang['Sort order'] = 'Sortowanie po';
+$lang['Sort order'] = 'Kierunek sortowania';
 $lang['Tag'] = 'Tag';
 $lang['Tags'] = 'Tagi';
 $lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'RSS zapewnia powiadomienia o wydarzeniach na tej stronie: nowych zdjęciach, aktualizacjach albumów, nowych komentarzach. Do użycia z czytnikiem RSS.';
-$lang['Unknown feed identifier'] = 'Nieznany identyfikator feed';
+$lang['Unknown feed identifier'] = 'Nieznany identyfikator kanału';
 $lang['User comments'] = 'Komentarze użytkowników';
 $lang['Username'] = 'Użytkownik';
@@ -122,5 +122,5 @@
 $lang['Week %d'] = 'Tydzień %d';
 $lang['About Piwigo'] = 'O Piwigo';
-$lang['You are not authorized to access the requested page'] = 'Nie masz uprawnień do oglądania tej strony';
+$lang['You are not authorized to access the requested page'] = 'Nie masz wystarczających uprawnień, aby obejrzeć tę stronę';
 $lang['add this photo to your favorites'] = 'Dodaj zdjęcie do ulubionych';
 $lang['Administration'] = 'Administracja';
@@ -134,5 +134,5 @@
 $lang['posted on %s'] = 'umieszczone %s';
 $lang['Best rated'] = 'Najlepiej oceniane';
-$lang['display best rated photos'] = 'wyświetl najlepiej oceniane obiekty';
+$lang['display best rated photos'] = 'wyświetl najlepiej oceniane zdjęcia';
 $lang['Calendar'] = 'Kalendarz';
 $lang['All'] = 'Wszystkie';
@@ -142,10 +142,10 @@
 $lang['chronology_monthly_list'] = 'Lista miesięczna';
 $lang['chronology_weekly_list'] = 'Lista tygodniowa';
-$lang['Click here if your browser does not automatically forward you'] = 'Kliknij jeżeli nie zostałeś przekierowany poprawnie';
+$lang['Click here if your browser does not automatically forward you'] = 'Kliknij, jeżeli nie zostałeś automatycznie przekierowany';
 $lang['comment date'] = 'data komentarza';
 $lang['Comment'] = 'Komentarz';
 $lang['Your comment has been registered'] = 'Twój komentarz został zapisany';
-$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Anti-flood system : poczekaj chwilę aby wysłać następny komentarz';
-$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Twój komentarz nie został zarejestrowany, ponieważ nie jest zgodny z regułami walidacji';
+$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Anti-flood system: poczekaj chwilę, aby wysłać następny komentarz';
+$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Twój komentarz nie został zapisany, ponieważ jest nieprawidłowy';
 $lang['An administrator must authorize your comment before it is visible.'] = 'Administrator musi zatwierdzić Twój komentarz zanim będzie on widoczny.';
 $lang['This login is already used by another user'] = 'Ten login jest już używany przez innego użytkownika';
@@ -166,8 +166,8 @@
 $lang['day'][6] = 'Sobota';
 $lang['Default'] = 'Domyślnie';
-$lang['delete this photo from your favorites'] = 'Usuń zdjęcie ze swoich ulubionych';
+$lang['delete this photo from your favorites'] = 'usuń zdjęcie ze swoich ulubionych';
 $lang['Delete'] = 'Usuń';
 $lang['descending'] = 'malejąco';
-$lang['Download'] = 'Pobierz';
+$lang['Download'] = 'pobierz';
 $lang['Download this file'] = 'Pobierz ten plik';
 $lang['edit'] = 'edytuj';
@@ -178,5 +178,5 @@
 $lang['Favorites'] = 'Ulubione';
 $lang['First'] = 'Pierwsza';
-$lang['The gallery is locked for maintenance. Please, come back later.'] = 'Galeria zablokowana w celach konserwacji. Wróć później.';
+$lang['The gallery is locked for maintenance. Please, come back later.'] = 'Galeria zablokowana z powodu konserwacji. Proszę, spróbuj później.';
 $lang['Page generated in'] = 'Strona wygenerowana w';
 $lang['guest'] = 'gość';
@@ -184,14 +184,14 @@
 $lang['available for administrators only'] = 'dostępne tylko dla administratorów';
 $lang['display this album'] = 'pokazuje zdjęcia w głównym katalogu albumu';
-$lang['display last user comments'] = 'Zobacz ostatnie komentarze';
+$lang['display last user comments'] = 'zobacz ostatnie komentarze';
 $lang['customize the appareance of the gallery'] = 'dostosuj wygląd galerii';
 $lang['search'] = 'szukaj';
-$lang['Home'] = 'Strona Główna';
+$lang['Home'] = 'Strona główna';
 $lang['Identification'] = 'Uprawnienia';
 $lang['in this album'] = 'w tym albumie';
-$lang['in %d sub-album'] = 'w %d pod-albumie';
-$lang['in %d sub-albums'] = 'w %d pod-albumach';
+$lang['in %d sub-album'] = 'w %d podalbumie';
+$lang['in %d sub-albums'] = 'w %d podalbumach';
 $lang['included'] = 'zawarte';
-$lang['Invalid password!'] = 'Złe hasło!';
+$lang['Invalid password!'] = 'Nieprawidłowe hasło!';
 $lang['Language']='Język';
 $lang['last %d days'] = 'ostatnich %d dni';
@@ -199,8 +199,8 @@
 $lang['Logout'] = 'Wyloguj';
 $lang['obligatory'] = 'obowiązkowe';
-$lang['display a calendar by creation date'] = 'wyświetla kalendarz po dacie utworzenia';
-$lang['display all photos in all sub-albums'] = 'pokaż wszystkie elementy w albumach i pod-albumach';
+$lang['display a calendar by creation date'] = 'wyświetl kalendarz po dacie utworzenia';
+$lang['display all photos in all sub-albums'] = 'pokaż wszystkie elementy w albumach i podalbumach';
 $lang['return to normal view mode'] = 'powrót do normalnego widoku';
-$lang['display a calendar by posted date'] = 'wyświetla kalendarz po dacie umieszczenia';
+$lang['display a calendar by posted date'] = 'wyświetl kalendarz po dacie umieszczenia';
 $lang['month'][10] = 'Październik';
 $lang['month'][11] = 'Listopad';
@@ -223,5 +223,5 @@
 $lang['Rate this photo'] = 'Oceń to zdjęcie';
 $lang['Next'] = 'Następne';
-$lang['no rate'] = 'nie oceniane';
+$lang['no rate'] = 'nieoceniane';
 $lang['Photos posted within the last %d day.'] = 'Wyświetl elementy umieszczone w ciągu ostatniego %s dnia.';
 $lang['Photos posted within the last %d days.'] = 'Wyświetl elementy umieszczone w ciągu ostatnich %s dni.';
@@ -229,47 +229,47 @@
 $lang['Recent period must be a positive integer value'] = 'Okres czasu musi być liczbą dodatnią';
 $lang['photo'] = 'zdjęcie';
-$lang['Click on the photo to see it in high definition'] = 'Wybierz zdjęcie aby je zobaczyć w większej rozdzielczości';
-$lang['Show file metadata'] = 'Pokaż metadane (EXIF)';
+$lang['Click on the photo to see it in high definition'] = 'Wybierz zdjęcie, aby je zobaczyć w większej rozdzielczości';
+$lang['Show file metadata'] = 'Pokaż metadane';
 $lang['Powered by'] = 'Powered by';
 $lang['Preferences'] = 'Preferencje';
 $lang['Previous'] = 'Poprzednia';
 $lang['Random photos'] = 'Losowe zdjęcia';
-$lang['display a set of random photos'] = 'wyświetla zbiór losowych zdjęć';
-$lang['Recent albums'] = 'Aktualne albumy';
-$lang['display recently updated albums'] = 'pokaż aktualnie zaktualizowane albumy';
+$lang['display a set of random photos'] = 'wyświetl zbiór losowych zdjęć';
+$lang['Recent albums'] = 'Najnowsze albumy';
+$lang['display recently updated albums'] = 'pokaż niedawno zaktualizowane albumy';
 $lang['Recent period'] = 'Najnowszy okres';
 $lang['Recent photos'] = 'Najnowsze zdjęcia';
-$lang['display most recent photos'] = 'wyświetla najnowsze zdjęcia';
+$lang['display most recent photos'] = 'wyświetl najnowsze zdjęcia';
 $lang['Redirection...'] = 'Przekierowywanie...';
 $lang['Please, enter a login'] = 'Wprowadź login';
-$lang['login mustn\'t end with a space character'] = 'Login nie może posiadać spacji';
-$lang['login mustn\'t start with a space character'] = 'Login nie może zaczynać się od znaku specjalnego';
+$lang['login mustn\'t end with a space character'] = 'login nie może zawierać spacji';
+$lang['login mustn\'t start with a space character'] = 'login nie może zaczynać się od spacji';
 $lang['this login is already used'] = 'ten login już istnieje';
-$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'mail musi być w postaci xxx@yyy.eee (przykład : jack@altern.org)';
-$lang['Auto login'] = 'Pamiętaj mnie';
+$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'adres e-mail musi mieć postać xxx@yyy.eee (przykład : jack@altern.org)';
+$lang['Auto login'] = 'Zapamiętaj mnie';
 $lang['remove this tag from the list'] = 'usuń ten tag z listy';
-$lang['representative'] = 'reprezentant';
-$lang['Search for Author'] = 'Szukaj Autora';
+$lang['representative'] = 'miniaturka albumu';
+$lang['Search for Author'] = 'Szukaj autora';
 $lang['Search in albums'] = 'Szukaj w albumach';
-$lang['Search by date'] = 'Szukaj po Dacie';
+$lang['Search by date'] = 'Szukaj po dacie';
 $lang['Date'] = 'Data od';
 $lang['End-Date'] = 'Data do';
 $lang['Kind of date'] = 'Rodzaj daty';
 $lang['Search for words'] = 'Szukaj słów';
-$lang['Search for all terms'] = 'Szukaj po wszystkim ';
-$lang['Search for any term'] = 'Szukaj po wszystkim';
+$lang['Search for all terms'] = 'Szukaj wszystkich wartości';
+$lang['Search for any term'] = 'Szukaj jakiejkolwiek wartości';
 $lang['Empty query. No criteria has been entered.'] = 'Puste zapytanie. Nie zostały wprowadzone żadne kryteria.';
 $lang['Search results'] = 'Wyniki wyszukiwania';
-$lang['Search in sub-albums'] = 'Szukaj w pod-albumach';
-$lang['searched words : %s'] = 'szukane słowa : %s';
+$lang['Search in sub-albums'] = 'Szukaj w podalbumach';
+$lang['searched words : %s'] = 'szukane słowa: %s';
 $lang['Contact'] = 'Kontakt';
-$lang['set as album representative'] = 'ustaw jako reprezentanta albumu';
+$lang['set as album representative'] = 'ustaw jako miniaturkę albumu';
 $lang['Show number of comments'] = 'Pokaż liczbę komentarzy';
 $lang['Show number of hits'] = 'Pokaż liczbę wyświetleń';
-$lang['slideshow'] = 'pokaz zdjęć';
-$lang['stop the slideshow'] = 'zatrzymaj pokaz';
+$lang['slideshow'] = 'pokaz slajdów';
+$lang['stop the slideshow'] = 'zatrzymaj pokaz slajdów';
 $lang['Specials'] = 'Specjalne';
 $lang['SQL queries in'] = 'Zapytania SQL w';
-$lang['display only recently posted photos'] = 'wyświetla tylko ostatnio umieszczone';
+$lang['display only recently posted photos'] = 'wyświetl tylko ostatnio umieszczone';
 $lang['return to the display of all photos'] = 'powrót do wyświetlania wszystkich elementów';
 $lang['the beginning'] = 'początek';
@@ -280,5 +280,5 @@
 $lang['Update your rating'] = 'Aktualizuj Twoją ocenę';
 $lang['the username must be given'] = 'nazwa użytkownika musi być podana';
-$lang['useful when password forgotten'] = 'przydatne gdy zostanie zapomniane hasło';
+$lang['useful when password forgotten'] = 'przydatne, gdy zostanie zapomniane hasło';
 $lang['Quick search'] = 'Szybkie wyszukiwanie';
 $lang['Connected user: %s'] = 'Zalogowany użytkownik: %s';
@@ -289,18 +289,18 @@
 $lang['Comment by %s'] = 'Komentarz wystawiony przez %s';
 $lang['User: %s'] = 'Użytkownik: %s';
-$lang['Email: %s'] = 'Email: %s';
+$lang['Email: %s'] = 'E-mail: %s';
 $lang['Admin: %s'] = 'Admin: %s';
 $lang['Registration of %s'] = 'Rejestracja %s';
 $lang['Album: %s'] = 'Album: %s';
-$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Zły status dla użytkownika "gość", używam domyślnego';
-$lang['this email address is already in use'] = 'użytkownik już używa tego adresu email';
+$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Zły status dla użytkownika "gość" - używam domyślnego. Skontaktuj się z webmasterem.';
+$lang['this email address is already in use'] = 'ten adres e-mail jest już użyty';
 $lang['Album results for'] = 'Wyniki albumu dla';
 $lang['Tag results for'] = 'Wyniki tagów dla';
 $lang['from %s to %s'] = 'od %s do %s';
-$lang['Play of slideshow'] = 'Odtwórz jako slideshow';
-$lang['Pause of slideshow'] = 'Pause pokazu';
-$lang['Repeat the slideshow'] = 'Powtarzaj slideshow';
-$lang['Not repeat the slideshow'] = 'Nie powtarzaj slideshow';
-$lang['Reduce diaporama speed'] = 'Zmniejsz prędkość diaporamy';
+$lang['Play of slideshow'] = 'Rozpocznij pokaz slajdów';
+$lang['Pause of slideshow'] = 'Pauzuj pokaz slajdów';
+$lang['Repeat the slideshow'] = 'Powtarzaj pokaz slajdów';
+$lang['Not repeat the slideshow'] = 'Nie powtarzaj pokazu slajdów';
+$lang['Reduce diaporama speed'] = 'Zmniejsz prędkość pokazu slajdów';
 $lang['Accelerate diaporama speed'] = 'Zwiększ prędkość diaporamy';
 $lang['Submit'] = 'Zatwierdź';
@@ -311,11 +311,11 @@
 $lang['%d photo is also linked to current tags'] = '%d obraz jest także podpięty do aktualnych tagów';
 $lang['%d photos are also linked to current tags'] = '%d obrazów jest także podpiętych do aktualnych tagów';
-$lang['display photos linked to this tag'] = 'Zobacz obrazy podpięte tylko do tego tagu';
-$lang['photos posted during the last %d days'] = 'obrazy wgrane przez ostatnich %d dni';
-$lang['Piwigo Help'] = 'Piwigo Pomoc';
+$lang['display photos linked to this tag'] = 'zobacz obrazy podpięte tylko do tego tagu';
+$lang['photos posted during the last %d days'] = 'obrazy wgrane w ciągu ostatnich %d dni';
+$lang['Piwigo Help'] = 'Pomoc Piwigo';
 $lang['Rank'] = 'Ranking';
 $lang['group by letters'] = 'grupuj literami';
 $lang['letters'] = 'litery';
-$lang['show tag cloud'] = 'pokazuj tag jako chmurkę';
+$lang['show tag cloud'] = 'pokazuj chmurę tagów';
 $lang['cloud'] = 'chmurka';
 $lang['Are you sure?'] = 'Jesteś pewien?';
@@ -323,5 +323,5 @@
 $lang['delete all photos from your favorites'] = 'usuń wszystkie obrazy ze swoich ulubionych';
 $lang['Sent by'] = 'Wysłane przez';
-$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Cookie są zablokowane lub nie wspierane przez Twoją przeglądarkę. Musisz włączyć cookies aby się zalogować.';
+$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Ciasteczka są zablokowane lub nie są wspierane przez Twoją przeglądarkę. Musisz je włączyć, aby się zalogować.';
 $lang['Edit a comment'] = 'Edytuj komentarz';
 $lang['(!) This comment requires validation'] = '(!) Ten komentarz wymaga potwierdzenia';
@@ -337,16 +337,16 @@
 $lang['Album'] = 'Album';
 $lang['Album: %s'] = 'Albumy: %s';
-$lang['html tags are not allowed in login'] = 'znaczniki html nie są dozwolone w polu login';
+$lang['html tags are not allowed in login'] = 'znaczniki HTML nie są dozwolone w polu login';
 $lang['%d rates'] = '%d ocen';
 $lang['Rating score'] = 'Ocena';
 $lang['Invalid username or email'] = 'Niewłaściwa nazwa użytkownika lub adres e-mail';
 $lang['Password reset is not allowed for this user'] = 'Przywracanie hasła jest dla tego użytkownika niedozwolone';
-$lang['User "%s" has no email address, password reset is not possible'] = 'Użytkownik "%s" nie ma adresu e-mail, przywracanie hasła jest niemożliwe';
+$lang['User "%s" has no email address, password reset is not possible'] = 'Użytkownik "%s" nie ma adresu e-mail - przywracanie hasła jest niemożliwe';
 $lang['Someone requested that the password be reset for the following user account:'] = 'Zgłoszono prośbę o przywrócenie hasła dla następującego konta użytkownika:';
 $lang['Username "%s" on gallery %s'] = 'Użytkownik "%s" w galerii %s';
 $lang['To reset your password, visit the following address:'] = 'Aby przywrócić hasło odwiedź następującą stronę:';
-$lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'Jeśli wybrałeś przywracanie hasła przypadkowo zignoruj tą wiadomość (nie zostaną wprowadzone żadne zmiany).';
+$lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'Jeśli wybrałeś przywracanie hasła przypadkowo, zignoruj tą wiadomość - nie zostaną wprowadzone żadne zmiany.';
 $lang['Password Reset'] = 'Przywracanie hasła';
-$lang['Check your email for the confirmation link'] = 'Sprawdź skrzynkę e-mail czy otrzymałeś link potwierdzający';
+$lang['Check your email for the confirmation link'] = 'Sprawdź w skrzynce e-mail czy otrzymałeś link potwierdzający';
 $lang['Invalid key'] = 'Nieprawidłowy klucz';
 $lang['The passwords do not match'] = 'Hasła są różne';
@@ -354,6 +354,6 @@
 $lang['Return to home page'] = 'Wróć do strony głównej';
 $lang['Please enter your username or email address.'] = 'Wpisz swoją nazwę użytkownika lub adres e-mail';
-$lang['You will receive a link to create a new password via email.'] = 'Link do stworzenia nowego hasła otrzymasz drogą mailową.';
-$lang['Username or email'] = 'nazwa użytkownika lub adres e-mail';
+$lang['You will receive a link to create a new password via email.'] = 'Link do stworzenia nowego hasła otrzymasz e-mailem.';
+$lang['Username or email'] = 'Nazwa użytkownika lub adres e-mail';
 $lang['Change my password'] = 'Zmień moje hasło';
 $lang['Enter your new password below.'] = 'Wpisz poniżej swoje nowe hasło.';
@@ -363,20 +363,20 @@
 $lang['Hello %s,'] = 'Witaj %s,';
 $lang['Send my connection settings by email'] = 'Wyślij moje dane połączenia mailem';
-$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Zarejestrowany pomyślnie! Wkrótce dostaniesz mail z danymi do połączenia. Witamy!';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Zarejestrowany pomyślnie! Wkrótce dostaniesz e-mail z danymi do połączenia. Witamy!';
 $lang['Username modification'] = 'Zmiana nazwy użytkownika';
 $lang['Your username has been successfully changed to : %s'] = 'Twoja nazwa użytkownika została zmieniona pomyślnie na: %s';
 $lang['square'] = 'Kwadrat';
-$lang['thumb'] = 'Thumb';
-$lang['small'] = 'Mały';
-$lang['medium'] = 'Średni';
-$lang['large'] = 'Duży';
-$lang['xlarge'] = 'Bardzo duży (XL)';
-$lang['xxlarge'] = 'Bardzo bardzo duży (XXL)';
-$lang['Original'] = 'Oryginalny';
+$lang['thumb'] = 'Miniaturka';
+$lang['small'] = 'S - mały';
+$lang['medium'] = 'M - średni';
+$lang['large'] = 'L - duży';
+$lang['xlarge'] = 'XL - bardzo duży';
+$lang['xxlarge'] = 'XXL - ogromny';
+$lang['Original'] = 'Pierwotny';
 $lang['Thank you for registering at %s!'] = 'Dziękujemy za rejestrację na %s!';
 $lang['Here are your connection settings'] = 'Dane Twojego połączenia';
 $lang['Password: %s'] = 'Hasło: %s';
 $lang['Username: %s'] = 'Nazwa użytkownika: %s';
-$lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Jeżeli myślisz, że otrzymałeś ten mail w wyniku błędu, skontaktuj się proszę z nami tutaj %s';
+$lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Jeżeli myślisz, że otrzymałeś ten mail w wyniku błędu, skontaktuj się proszę z nami pod adresem %s';
 $lang['Photo sizes'] = 'Rozmiary zdjęć';
 $lang['2small'] = 'XXS - malutkie';
@@ -386,5 +386,5 @@
 $lang['Show oldest comments first'] = 'Pokaż najpierw najstarsze komentarze';
 $lang['View in'] = 'Obejrzyj w';
-$lang['xsmall'] = 'XS - bardzo małe';
+$lang['xsmall'] = 'XS - bardzo mały';
 $lang['Date created, new &rarr; old'] = 'Data utworzenia, wcześniejsze &rarr; starsze';
 $lang['Date created, old &rarr; new'] = 'Data utworzenia, starsze &rarr; wcześniejsze';
@@ -403,11 +403,11 @@
 $lang['Visits, low &rarr; high'] = 'Liczba odwiedzin, niska &rarr; wysoka';
 $lang['%d rate'] = '%d ocena';
-$lang['Bad request'] = 'Nieprawidłowe zapytanie';
+$lang['Bad request'] = 'Nieprawidłowe żądanie';
 $lang['Forbidden'] = 'Zabronione';
 $lang['Page not found'] = 'Nie znaleziono żądanej strony';
 $lang['Permalink for album not found'] = 'Nie znaleziono stałego odnośnika do albumu';
-$lang['Piwigo encountered a non recoverable error'] = 'Piwigo napotkało na błąd krytyczny';
+$lang['Piwigo encountered a non recoverable error'] = 'Błąd krytyczny Piwigo';
 $lang['Requested album does not exist'] = 'Nie znaleziono żądanego albumu';
-$lang['Requested tag does not exist'] = 'Szukana etykieta nie istnieje';
+$lang['Requested tag does not exist'] = 'Nie znaleziono żądanego tagu';
 $lang['Email address is mandatory'] = 'Adres e-mail jest obowiązkowy';
 $lang['Username is mandatory'] = 'Nazwa użytkownika jest obowiązkowa';
@@ -421,5 +421,24 @@
 $lang['Password is missing. Please enter the password.'] = 'Brak hasła. Proszę wprowadzić hasło.';
 $lang['Password confirmation is missing. Please confirm the chosen password.'] = 'Brak potwierdzenia hasła. Proszę potwierdzić wybrane hasło.';
-$lang['%d photos per page'] = '%d zdjęc na każdej stronie';
+$lang['%d photos per page'] = '%d obrazów na każdej stronie';
 $lang['Theme'] = 'Motyw';
-?>
+$lang['day']['0'] = 'niedziela';
+$lang['day']['1'] = 'poniedziałek';
+$lang['day']['2'] = 'wtorek';
+$lang['day']['3'] = 'środa';
+$lang['day']['4'] = 'czwartek';
+$lang['day']['5'] = 'piątek';
+$lang['day']['6'] = 'sobota';
+$lang['month']['10'] = 'październik';
+$lang['month']['11'] = 'listopad';
+$lang['month']['12'] = 'grudzień';
+$lang['month']['1'] = 'styczeń';
+$lang['month']['2'] = 'luty';
+$lang['month']['3'] = 'marzec';
+$lang['month']['4'] = 'kwiecień';
+$lang['month']['5'] = 'maj';
+$lang['month']['6'] = 'czerwiec';
+$lang['month']['7'] = 'lipiec';
+$lang['month']['8'] = 'sierpień';
+$lang['month']['9'] = 'wrzesień';
+$lang['No results for'] = 'Brak wyników dla';