Index: /extensions/AdminTools/admin.php
===================================================================
--- /extensions/AdminTools/admin.php	(revision 28691)
+++ /extensions/AdminTools/admin.php	(revision 28692)
@@ -9,6 +9,6 @@
     'public_quick_edit' => isset($_POST['public_quick_edit']),
     );
-      
-  conf_update_param('AdminTools', serialize($conf['AdminTools']));
+
+  conf_update_param('AdminTools', $conf['AdminTools']);
   $page['infos'][] = l10n('Information data registered in database');
 }
Index: /extensions/AdminTools/include/MultiView.class.php
===================================================================
--- /extensions/AdminTools/include/MultiView.class.php	(revision 28691)
+++ /extensions/AdminTools/include/MultiView.class.php	(revision 28692)
@@ -246,6 +246,5 @@
   {
     global $conf;
-    conf_update_param('multiview_invalidate_cache', true);
-    $conf['multiview_invalidate_cache'] = true;
+    conf_update_param('multiview_invalidate_cache', true, true);
   }
 
Index: /extensions/AdminTools/main.inc.php
===================================================================
--- /extensions/AdminTools/main.inc.php	(revision 28691)
+++ /extensions/AdminTools/main.inc.php	(revision 28692)
@@ -11,19 +11,11 @@
 defined('PHPWG_ROOT_PATH') or die('Hacking attempt!');
 
-
-// +-----------------------------------------------------------------------+
-// | Plugin constants                                               |
-// +-----------------------------------------------------------------------+
 define('ADMINTOOLS_ID',       basename(dirname(__FILE__)));
 define('ADMINTOOLS_PATH' ,    PHPWG_PLUGINS_PATH . ADMINTOOLS_ID . '/');
 define('ADMINTOOLS_ADMIN',    get_root_url() . 'admin.php?page=plugin-' . ADMINTOOLS_ID);
-define('ADMINTOOLS_VERSION',  'auto');
 
-
-// +-----------------------------------------------------------------------+
-// | Event handlers                                                    |
-// +-----------------------------------------------------------------------+
 include_once(ADMINTOOLS_PATH . 'include/events.inc.php');
 include_once(ADMINTOOLS_PATH . 'include/MultiView.class.php');
+
 
 global $MultiView;
@@ -51,18 +43,10 @@
 
 
-// +-----------------------------------------------------------------------+
-// | Plugin initialization                                                 |
-// +-----------------------------------------------------------------------+
 function admintools_init()
 {
   global $conf;
-
-  include_once(ADMINTOOLS_PATH . 'maintain.inc.php');
-  $maintain = new AdminTools_maintain(ADMINTOOLS_ID);
-  $maintain->autoUpdate(ADMINTOOLS_VERSION, 'install');
+  $conf['AdminTools'] = safe_unserialize($conf['AdminTools']);
 
   load_language('plugin.lang', ADMINTOOLS_PATH);
-
-  $conf['AdminTools'] = unserialize($conf['AdminTools']);
 }
 
Index: /extensions/AdminTools/maintain.class.php
===================================================================
--- /extensions/AdminTools/maintain.class.php	(revision 28692)
+++ /extensions/AdminTools/maintain.class.php	(revision 28692)
@@ -0,0 +1,31 @@
+<?php
+defined('PHPWG_ROOT_PATH') or die('Hacking attempt!');
+
+class AdminTools_maintain extends PluginMaintain
+{
+  private $default_conf = array(
+    'default_open' => true,
+    'closed_position' => 'left',
+    'public_quick_edit' => true,
+    );
+
+  function install($plugin_version, &$errors=array())
+  {
+    global $conf;
+
+    if (empty($conf['AdminTools']))
+    {
+      conf_update_param('AdminTools', $this->default_conf, true);
+    }
+  }
+
+  function update($old_version, $new_version, &$errors=array())
+  {
+    $this->install($new_version, $errors);
+  }
+
+  function uninstall()
+  {
+    conf_delete_param('AdminTools');
+  }
+}
Index: tensions/AdminTools/maintain.inc.php
===================================================================
--- /extensions/AdminTools/maintain.inc.php	(revision 28691)
+++ 	(revision )
@@ -1,43 +1,0 @@
-<?php
-defined('PHPWG_ROOT_PATH') or die('Hacking attempt!');
-
-class AdminTools_maintain extends PluginMaintain
-{
-  private $installed = false;
-  
-  private $default_conf = array(
-    'default_open' => true,
-    'closed_position' => 'left',
-    'public_quick_edit' => true,
-    );
-
-  function install($plugin_version, &$errors=array())
-  {
-    global $conf;
-
-    if (empty($conf['AdminTools']))
-    {
-      $conf['AdminTools'] = serialize($this->default_conf);
-      conf_update_param('AdminTools', $conf['AdminTools']);
-    }
-
-    $this->installed = true;
-  }
-
-  function activate($plugin_version, &$errors=array())
-  {
-    if (!$this->installed)
-    {
-      $this->install($plugin_version, $errors);
-    }
-  }
-
-  function deactivate()
-  {
-  }
-
-  function uninstall()
-  {
-    conf_delete_param('AdminTools');
-  }
-}